# TableConfigurator (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.client
Class TableConfigurator

    java.lang.Object
      com.threerings.parlor.client.TableConfigurator

Direct Known Subclasses:
  DefaultSwingTableConfigurator

    public abstract class TableConfigurator

extends Object

This should be implemented some user-interface element that allows the user to configure whichever TableConfig options are relevant.

Constructor Summary
`TableConfigurator()` Create a TableConfigurator.

Method Summary
`TableConfig` `getTableConfig()` Return the fully configured table config according to the currently configured user interface elements.
`void` `init(ParlorContext ctx, GameConfigurator gameConfigurator)` Initialize the TableConfigurator.
`abstract boolean` `isEmpty()` If true, the TableConfigurator is empty, which doesn't mean that it will not return a TableConfig object (for it must), but rather that there are no user-editable options being presented in the config interface.
`void` `setTableConfig(TableConfig config)` Optionally, you can set a pre-configured TableConfig that will be used to initialize the display parameters (if possible).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableConfigurator

    public TableConfigurator()

  Create a TableConfigurator.

Method Detail

### setTableConfig

    public void setTableConfig(TableConfig config)

  Optionally, you can set a pre-configured TableConfig that will be used to initialize the display parameters (if possible). This should be called prior to init().

### init

    public void init(ParlorContext ctx,
                     GameConfigurator gameConfigurator)

  Initialize the TableConfigurator. At the time this is called, the GameConfigurator should have already been initialized.

### isEmpty

    public abstract boolean isEmpty()

  If true, the TableConfigurator is empty, which doesn't mean that it will not return a TableConfig object (for it must), but rather that there are no user-editable options being presented in the config interface.

### getTableConfig

    public TableConfig getTableConfig()

  Return the fully configured table config according to the currently configured user interface elements.

Copyright © 2011. All Rights Reserved.